Subject: Re: linux-next: manual merge of the mips tree with the pci-current tree

From: Lorenzo Pieralisi <[email-masked]>
Date: Fri, 22 Sep 2017 10:20:09 +0100

Manuel, Ralf,

On Fri, Sep 22, 2017 at 10:01:14AM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the mips tree got a conflict in:
> 
>   arch/mips/pci/pci-octeon.c
> 
> between commit:
> 
>   19a8d6b7604d ("MIPS: PCI: Move map_irq() hooks out of initdata")

This commit (coming from the PCI tree) should be a superset of the fix
in the MIPS tree below, do you mind having a look please and if that's
the case drop commit below from the MIPS tree please ?

> from the pci-current tree and commit:
> 
>   8eba3651f1da ("MIPS: PCI: fix pcibios_map_irq section mismatch")
> 
> from the mips tree.
> 
> I fixed it up (basically the same patch - I used the pci-current tree
> version) and can carry the fix as necessary. This is now fixed as far as
> linux-next is concerned, but any non trivial conflicts should be mentioned
> to your upstream maintainer when your tree is submitted for merging.
> You may also want to consider cooperating with the maintainer of the
> conflicting tree to minimise any particularly complex conflicts.

I had no idea of:

8eba3651f1da ("MIPS: PCI: fix pcibios_map_irq section mismatch")

existence, apologies.

Lorenzo